Package org.jfree.report.modules.data.sql

# Class SQLParameterLookupParser

java.lang.Object
org.jfree.report.util.PropertyLookupParser
org.jfree.report.modules.data.sql.SQLParameterLookupParser

All Implemented Interfaces:
  `Serializable`

public class SQLParameterLookupParser extends PropertyLookupParser
Creation-Date: 16.04.2006, 20:30:42

Author:
  Thomas Morgner
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`SQLParameterLookupParser()`

## Method Summary

Modifier and Type
Method
Description
`String[]`
`getFields()`
`protected String`
`lookupVariable(String name)`
Looks up the property with the given name.

### Methods inherited from class org.jfree.report.util.PropertyLookupParser

`getClosingBraceChar, getEscapeChar, getMarkerChar, getOpeningBraceChar, setClosingBraceChar, setEscapeChar, setMarkerChar, setOpeningBraceChar, translateAndLookup`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SQLParameterLookupParser

public SQLParameterLookupParser()

## Method Details

### lookupVariable

protected String lookupVariable(String name)
Description copied from class: `PropertyLookupParser`
Looks up the property with the given name.

Specified by:
  `lookupVariable` in class `PropertyLookupParser`
Parameters:
  `name` - the name of the property to look up.
Returns:
  the translated value.

### getFields

public String[] getFields()